Skip to content

Create TLS organization

POST /tls/organization

Operation ID: CreateOrganization

Create a DigiCert-backed TLS organization including the local contact record used for OV or EV certificate ordering.

tlsOrganizationCreateRequest

FieldTypeRequiredDescription
organizationstringyes-
first_namestringyes-
last_namestringyes-
addressstringyes-
postal_codestringyes-
citystringyes-
country_codestringyes-
phonestringyes-
emailstringyes-
StatusTypeDescription
200tlsOrganizationResponseTLS organization created
400ErrorInvalid request payload
401ErrorUnauthorized
500ErrorUnexpected error
502ErrorUpstream TLS provider error
FieldTypeRequiredDescription
successbooleanyesSuccess indicator
codeintegernoResponse/Error Code
responsetlsOrganizationResponseno-
Terminal window
curl -X POST "https://api.regfish.com/tls/organization" \
-H "x-api-key: $REGFISH_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"organization": "string",
"first_name": "string",
"last_name": "string",
"address": "string",
"postal_code": "string",
"city": "string",
"country_code": "string",
"phone": "string",
"email": "string"
}'

Fill in values - the call below updates as you type. Nothing is sent: the API does not currently allow browser requests from this domain (CORS). The API key is not stored.